> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post payment transactions



## OpenAPI

````yaml IPG post /payment/transactions
openapi: 3.0.1
info:
  title: IPG
  description: Ipg
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/ipg
    description: Staging
security:
  - default: []
paths:
  /payment/transactions:
    post:
      tags:
        - IpgPaymentApis
      parameters:
        - name: organizationId
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionRequestDto'
          text/json:
            schema:
              $ref: '#/components/schemas/TransactionRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/TransactionRequestDto'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/TransactionListResponseDto'
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionListResponseDto'
            text/json:
              schema:
                $ref: '#/components/schemas/TransactionListResponseDto'
      security:
        - default: []
components:
  schemas:
    TransactionRequestDto:
      type: object
      properties:
        status:
          type: string
          nullable: true
        pagination:
          $ref: '#/components/schemas/Pagination'
      additionalProperties: false
    TransactionListResponseDto:
      type: object
      properties:
        transactions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Transaction'
      additionalProperties: false
    Pagination:
      type: object
      properties:
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        fromDate:
          type: string
          format: date-time
        toDate:
          type: string
          format: date-time
      additionalProperties: false
    Transaction:
      type: object
      properties:
        result:
          nullable: true
        paymentId:
          nullable: true
        timestamp:
          nullable: true
        amount:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        systemPaymentId:
          type: string
          nullable: true
        merchantTransactionId:
          type: string
          nullable: true
        transactionStatus:
          $ref: '#/components/schemas/TransactionStatus'
        captureamount:
          type: string
          nullable: true
        refundamount:
          type: string
          nullable: true
        chargebackamount:
          type: string
          nullable: true
        payoutamount:
          type: string
          nullable: true
        date:
          type: string
          nullable: true
        transactionDate:
          type: string
          nullable: true
        remark:
          type: string
          nullable: true
        customer:
          $ref: '#/components/schemas/Customer'
        card:
          $ref: '#/components/schemas/Card'
        transactionReceiptImg:
          type: string
          nullable: true
        bankReferenceId:
          type: string
          nullable: true
        terminalid:
          type: integer
          format: int32
      additionalProperties: false
    TransactionStatus:
      type: object
      properties:
        detail:
          type: string
          nullable: true
      additionalProperties: false
    Customer:
      type: object
      properties:
        givenName:
          type: string
          nullable: true
        surname:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        telnocc:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        street:
          type: string
          nullable: true
      additionalProperties: false
    Card:
      type: object
      properties:
        bin:
          type: string
          nullable: true
        last4Digits:
          type: string
          nullable: true
        holder:
          type: string
          nullable: true
        expiryMonth:
          type: string
          nullable: true
        expiryYear:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}
          x-scopes-bindings:
            Redirect-URL: ''

````